Subject: bug#52998: closed (Re: bug#52998: Acknowledgement (ell test suite failure (nondeterministic)))

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 11 Jan 2022 03:23:01 +0000

Your bug report

#52998: ell test suite failure (nondeterministic)

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52998: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=52998
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#52998: Acknowledgement (ell test suite failure (nondeterministic))
From: Maxim Cournoyer <[email-masked]>
To: [email-masked]
Date: Mon, 10 Jan 2022 22:21:50 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I've updated ell to 0.46 on the version-1.4.0 branch and haven't
encountered this failure since.

Tentatively closing.

Feel free to reopen it otherwise!

Thank you.

Maxim

Subject: ell test suite failure (nondeterministic)
From: Maxim Cournoyer <[email-masked]>
To: bug-guix <[email-masked]>
Date: Mon, 03 Jan 2022 20:32:53 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

When built under a very loaded system, ell may fail its test suite
in a nondeterministic fashion like so:

--8<---------------cut here---------------start------------->8---
--- ./test-suite.log --------------------------------------------------------

================================
   ell 0.41: ./test-suite.log
================================

# TOTAL: 40
# PASS:  38
# SKIP:  0
# XFAIL: 0
# FAIL:  2
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: unit/test-dbus-message-fds
================================

launching dbus-daemon
dbus-daemon process 16906 created
ready
request name result=failed
TEST: FD passing 1
TEST FAILED in get_random_return_callback at unit/test-dbus-message-fds.c:278: !l_dbus_message_get_error(message, ((void *)0), ((void *)0))
Disconnected from DBus
FAIL unit/test-dbus-message-fds (exit status: 134)

FAIL: unit/test-dbus-properties
===============================

launching dbus-daemon
dbus-daemon process 16899 created
ready
request name result=success
TEST: Legacy properties get
TEST: Legacy properties set
TEST: Legacy optional property
TEST: org.freedesktop.DBus.Properties get
TEST: org.freedesktop.DBus.Properties set
TEST: Property changed signals
Disconnected from DBus
FAIL unit/test-dbus-properties (exit status: 134)

error: in phase 'check': uncaught exception:
%exception #<&invoke-error program: "make" arguments: ("check" "-j" "24") exit-status: 2 term-signal: #f stop-signal: #f> 
phase `check' failed after 46.2 seconds
command "make" "check" "-j" "24" failed with status 2
--8<---------------cut here---------------end--------------->8---

I've had this occur twice so far, always when the build machine is busy
building multiple things in parallel.

I suspect a dbus timeout or similar.

Maxim